| Home | Libraries | People | FAQ | More

###### value::as_uint64 (2 of 2 overloads)

Return the underlying `std::uint64_t`, or throw an exception.

###### Synopsis

    std::uint64_t
    as_uint64() const;

###### Description

If `is_uint64()` is `true`, returns the underlying `std::uint64_t`, otherwise throws an exception.

###### Complexity

Constant.

###### Exception Safety

Strong guarantee.

###### Exceptions

Type | Thrown On
--- | ---
`system_error` | `! this->is_uint64()`